Name: beecrypt
Version: 2.2.0
Release: 8
License: LGPL
Summary: An open source cryptography library.
Group: System Environment/Libraries
#Source: http://www.virtualunlimited.com/download/beecrypt-%{version}.tar.gz
#
# The source tar ball was prepared from
#	cvs -d :pserver:anonymous@cvs.rpm.org:/cvs/devel login
#	(no password, just carriage return)
#	cvs -d :pserver:anonymous@cvs.rpm.org:/cvs/devel export -D now beecrypt
#	cd beecrypt
#	./autogen.sh
#	meke dist
# This is an doxygen/splint annotated version of "official" beecrypt-2.2.0.
#
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%package devel
Summary: Files needed for developing applications with beecrypt.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description
Beecrypt is a general-purpose cryptography library.

%description devel
Beecrypt is a general-purpose cryptography library.  This package contains
files needed for developing applications with beecrypt.

%prep
%setup -q

%build
%configure \
	--enable-shared \
	--enable-static \
	--disable-optimized \
	--enable-threads \
	--without-javaglue
# We override here because the makefile hard-codes -O3 otherwise, and we
# should let the app decide if it wants actual threading or no-op stubs
# which are sufficient for single-threaded apps.
make CFLAGS="$RPM_OPT_FLAGS" LIBS=""

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m 0644 types.h ${RPM_BUILD_ROOT}%{_includedir}/beecrypt

%clean
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Nov 19 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches

* Fri Aug  2 2002 Jeff Johnson <jbj@redhat.com> 2.2.0-6
- install types.h (#68999).

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun  5 2002 Jeff Johnson <jbj@redhat.com>
- run ldconfig when installing/erasing (#65974).

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 13 2002 Jeff Johnson <jbj@redhat.com>
- upgrade to latest 2.2.0 (from cvs.rpm.org).

* Mon Jan 21 2002 Jeff Johnson <jbj@redhat.com>
- use the same beecrypt-2.2.0 that rpm is using internally.

* Thu Jan 10 2002 Nalin Dahyabhai <nalin@redhat.com> 2.1.0-1
- initial package
